> For AI agents: the documentation index is at https://docs.gethandup.dev/llms.txt. Append .md to any page URL (without the trailing slash) for Markdown, for example https://docs.gethandup.dev/cli.md.

# auto_read_put

`PUT /v1/auto-read`

Mark auto-handled requests read on every device of this computer. Atomically stores max(stored, at) and returns the stored watermark. The timestamp unit is opaque to the daemon. Values above 9223372036854775807 are rejected. Emits auto_read.changed with at only when the stored value increases.

## Request Body required

Media type: `application/json`

`object`

The shared auto-handled read watermark, opaque to the daemon.

- **at** (required): `integer` format: int64, >= 0

  Zero until marked read; uses the UI's auto-decision timestamp unit.
  Values above `i64::MAX` (9223372036854775807) are rejected.

## Responses

### 200

Media type: `application/json`

`object`

The shared auto-handled read watermark, opaque to the daemon.

- **at** (required): `integer` format: int64, >= 0

  Zero until marked read; uses the UI's auto-decision timestamp unit.
  Values above `i64::MAX` (9223372036854775807) are rejected.

### 400

Invalid auto-read time (above i64::MAX)

### 403

Remote device without decide scope
